Page MenuHomePhabricator

edje_cc creates themes with restrictive permissions
Closed, ResolvedPublic

Description

I have noticed while working on meson build that edje creates theme files with the permission "rw-------" which sucks for the case of installing them to a filesystem with root as owner, since then noone can read this

The fiels created are "only" themes, is there any special reason for this or can we make it rw-r--r-- ?

bu5hm4n created this task.Feb 5 2018, 8:38 AM
bu5hm4n triaged this task as High priority.
raster added a comment.Feb 6 2018, 2:56 AM

it isn't edje - it's eet.

fd = open(ef->path, O_CREAT | O_TRUNC | O_RDWR | O_BINARY, S_IRUSR | S_IWUSR);

the usual "install" binary used by non-meson like autofoo ensures permissions are publicly readable etc. but meson doesn't do this, so right now we've used scripts to wrap the install and do it and ensure permissions are right. i'm not sure if meson is right here or not but it is different to the install mechanism that has been used for decades in autofoo land (install <- it's a binary that ensures permissions are correct and installs atomically with an atomic rename).

changing eet will change the permissions every eet file is written with. this, in general, does have consequences and side-effects. the problem is this code pre-dates our efl merge thus we have to look in legacy svn repos for history... :( so i can't say why eet code has the restrictive permissioning here, but it smells of "privacy/security paranoia by default".

well, i dont really care if its eet or whatever, for eet it may make sense to have those permissions, but as themes it does not, so you would be okay if edje would output a rw-r--r-- file ?

raster added a comment.Feb 6 2018, 6:12 AM

so have edje_cc chmod it?

raster added a comment.Feb 6 2018, 6:51 AM

feel free to add it then. that has far less impact than modifying eet which i was more hesitant to agree with. :)

zmike edited projects, added Restricted Project; removed efl.Jun 11 2018, 6:51 AM
segfaultxavi edited projects, added efl: data types; removed Restricted Project.Jun 11 2018, 8:53 AM
zmike edited projects, added efl: meson; removed efl (efl-1.21).Jun 22 2018, 7:40 AM
bu5hm4n closed this task as Resolved.Dec 7 2018, 5:43 AM

Okay - something changed, i don't know what but they are now installed and build with "rw-r--r--"